# TG2PDF
This telegram bot converts any libreoffice-supported document into a pdf file.
It uses [pyrogram](https://docs.pyrogram.org/), [libreoffice](https://libreoffice.org) and optionally [unoserver](https://github.com/unoconv/unoserver).
The unoserver dependency is entirely optional - however it improves theoretical processing speed, so its included into Dockerfile by default.

# Quickstart
```console
git clone https://git.darkn.space/neko/tg2pdf.git
cd tg2pdf
cp config.py.example config.py
nano config.py
podman build -t tg2pdf .
podman run --name tg2pdf -d tg2pdf:latest
```
